package cn.com.poc.covenant.service;

import cn.com.yict.framemax.core.service.BaseService;
import cn.com.poc.covenant.entity.BizExtractionDocFlowEntity;
import cn.com.yict.framemax.data.model.PagingInfo;
import java.util.Collection;
import java.util.List;

public interface BizExtractionDocFlowService extends BaseService {

    BizExtractionDocFlowEntity get(java.lang.Integer id) throws Exception;

    List<BizExtractionDocFlowEntity> findByExample(BizExtractionDocFlowEntity example,PagingInfo pagingInfo) throws Exception;
    
    BizExtractionDocFlowEntity save(BizExtractionDocFlowEntity entity) throws Exception;

    BizExtractionDocFlowEntity update(BizExtractionDocFlowEntity entity) throws Exception;

    void deletedById(java.lang.Integer id) throws Exception;
    
}